Subject: Psilocybin mushrooms crushed

From: [email-masked]
Date: 9 Dec 1996 07:50:02 GMT

There is a really nice discussion going on in the rec.psychedelics topic
about the supression of the religious usage of "magic mushrooms" in south
america by the colonialist spanish priesthood.
It is my hope that it might be moved to the bionet.mycology topic, as I do
not feel comfotable posting anything in the rec.psychedelics topic.   So,
I am starting this Psilocybin mushrooms crushed subject here, and we will
see what happens.

Jim Berlstein, BFD